# Get Serverless cluster

**GET /v1/serverless/clusters/{id}**

Get Redpanda Serverless cluster.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters

### Path parameters
- **id** (string)
  ID of Serverless cluster.

### Query parameters
- **read_mask** (string)



## Responses
### 200
OK

#### Body: application/json (object)
- **ai_gateway** (object)
  Cluster's AI Gateway properties.
- **console_private_url** (string)

- **console_url** (string)

- **created_at** (string(date-time))
  Timestamp when the Serverless cluster was created.
- **dataplane_api** (object)
  Cluster's Data Plane API properties.
- **id** (string)
  ID of the Serverless cluster. ID is an output from the Create Serverless Cluster operation and cannot be set by the caller.
- **kafka_api** (object)
  Cluster's Kafka API properties.
- **name** (string)
  Unique name of the Serverless cluster.
- **networking_config** (object)

- **planned_deletion** (object)
  Date after which this cluster can and should be deleted.
- **private_link_id** (string | null)

- **prometheus** (object)
  Prometheus metrics endpoint properties.
- **resource_group_id** (string)
  Resource group ID of the cluster.
- **schema_registry** (object)
  Cluster's Schema Registry properties.
- **serverless_region** (string)
  Serverless region in which the cluster is placed, backed by a cloud provider region.
- **state** (string)
  State describes the state of the ServerlessCluster.

   - STATE_PLACING: Serverless cluster is in the process of being placed on a cell with sufficient resources in the data plane.
   - STATE_CREATING: Serverless cluster is in the process of having its control plane state created.
   - STATE_READY: Serverless cluster is in execution and accepting external requests.
   - STATE_DELETING: Serverless cluster is in the process of having its control plane state removed. Resources dedicated to the cluster in the data plane will be released.
   - STATE_FAILED: Serverless cluster was unable to enter the ready state from either the creating or placing states.
   - STATE_SUSPENDED: Serverless cluster is in execution but blocks all external requests.
- **tags** (object)

- **updated_at** (string(date-time))
  Timestamp when the Serverless cluster was updated.

### 404
Not Found

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Please reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
